#
# spec file for package perl-Ogg-Theora-LibTheora
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Ogg-Theora-LibTheora
Version:        0.04
Release:        2.1
%define cpan_name Ogg-Theora-LibTheora
Summary:        XS Interface for calling Theora Video Codec functions in Perl.
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Ogg-Theora-LibTheora/
Source:         http://www.cpan.org/authors/id/V/VI/VIGITH/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Ogg::LibOgg)
Requires:       perl(Ogg::LibOgg)
%{perl_requires}
# MANUAL
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(theoraenc)

%description
Ogg::Theora::LibTheora is a glue between theora/theora.h theora/theoraenc.h
and theora/theoradec.h . Please read the XS code to understand the glue
implementation.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
#%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Thu Nov 27 2014 coolo@suse.com
- initial package
